Bug 1644127

Summary: Adding subscription shows notification with html tags
Product: Red Hat Satellite 6 Reporter: Nikhil Kathole <nkathole>
Component: WebUIAssignee: sat6-team-ux <sat6-team-ux>
WebUI sub component: Katello QA Contact: Nikhil Kathole <nkathole>
Status: CLOSED ERRATA Docs Contact:
Severity: medium    
Priority: unspecified CC: egolov, pcreech
Version: 6.5.0Keywords: Regression, Triaged
Target Milestone: 6.5.0   
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: tfm-rubygem-katello-3.10.0-0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-14 12:38:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nikhil Kathole 2018-10-30 05:19:17 UTC
Description of problem: Updating subscriptions from content subscriptions page gives notification with html tags.

<span><span>Subscriptions have been saved and are being updated. </span><a href="/foreman_tasks/tasks/f2ef06e6-daac-44b5-869f-01acb7b92ee8/">Click here to go to the tasks page for the task.</a></span>  

Version-Release number of selected component (if applicable):
Satellite 6.5.0 snap 1


How reproducible: always


Steps to Reproduce:
1. Navigate to Content -> subscriptions page
2. Click on Add subscription button
3. Select any subscription and add it.

Actual results:
Notification with html tags is displayed in UI.


<span><span>Subscriptions have been saved and are being updated. </span><a href="/foreman_tasks/tasks/f2ef06e6-daac-44b5-869f-01acb7b92ee8/">Click here to go to the tasks page for the task.</a></span>  


Expected results: No html tags.


Additional info:

Comment 4 Tomas Strachota 2018-10-31 16:04:44 UTC
Created redmine issue https://projects.theforeman.org/issues/25358 from this bug

Comment 5 pm-sat@redhat.com 2018-10-31 18:07:04 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 6 pm-sat@redhat.com 2018-10-31 18:07:07 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 7 pm-sat@redhat.com 2018-11-01 20:07:14 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25358 has been resolved.

Comment 9 Nikhil Kathole 2018-12-12 10:54:49 UTC
VERIFIED

Version tested:
satellite 6.5 snap7

No html tags on added subscriptions notification.

Comment 13 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222